HKCU keys needed fror installed TCMD versions

Apr 2, 2011
1,541
13
54
North Carolina, USA
Rex,

I have the following main keys under HKCU\Software\JP Software], and the TCMD versions listed below and wondered what keys are no longer needed please? Thank you

[HKEY_CURRENT_USER\Software\JP Software]
[HKEY_CURRENT_USER\Software\JP Software\IDE 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 13.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.02]


C:\Program Files\JPSoft\TCMD10\tcmd.exe is version 10.00.78
C:\Program Files\JPSoft\TCMD11\tcmd.exe is version 11.00.52
C:\Program Files\JPSoft\TCMD12\tcmd.exe is version 12.11.76
C:\Program Files\JPSoft\TCMD13\tcmd.exe is version 13.0.27
C:\Program Files\JPSoft\TCMD8\tcmd.exe is version 8.02.106
C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157
 
May 20, 2008
3,515
4
Elkridge, MD, USA
From: Charles G
| C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157

This one confused me. All TCMD9 files are build 156, except the TakeCmd.dll for keyfile (non-registry) registration.
--
Steve
 
Apr 2, 2011
1,541
13
54
North Carolina, USA
Here is the command line I used:

[C:\Program Files\JPSoft](for /a:d /h %fldr in (*) if isfile "C:\Program Files\JPSoft\%fldr\tcmd.exe" echo C:\Program Files\JPSoft\%fldr\tcmd.exe is version %@verinfo[%fldr\tcmd.exe]) >> "c:\Documents and Settings\Charles\Desktop\JpSoft.txt"

And here are the folders under pf:jpsoft:

dir /a:d /f
C:\Program Files\JPSoft\Keys
C:\Program Files\JPSoft\plugins
C:\Program Files\JPSoft\TCIExplorer
C:\Program Files\JPSoft\TCMD8
C:\Program Files\JPSoft\TCMD9
C:\Program Files\JPSoft\TCMD10
C:\Program Files\JPSoft\TCMD11
C:\Program Files\JPSoft\TCMD12
C:\Program Files\JPSoft\TCMD13
C:\Program Files\JPSoft\website
----- Original Message -----
From: Steve Fabian
To: CSGalloway@nc.rr.com
Sent: Friday, October 21, 2011 06:25 PM
Subject: RE: [Support-t-3311] HKCU keys needed fror installed TCMD versions


From: Charles G
| C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157

This one confused me. All TCMD9 files are build 156, except the TakeCmd.dll for keyfile (non-registry) registration.
--
Steve
 
Apr 2, 2011
1,541
13
54
North Carolina, USA
No replies yet....
----- Original Message -----
From: Charles G
To: CSGalloway@nc.rr.com
Sent: Friday, October 21, 2011 08:19 PM
Subject: RE: [Support-t-3311] HKCU keys needed fror installed TCMD versions


Here is the command line I used:

[C:\Program Files\JPSoft](for /a:d /h %fldr in (*) if isfile "C:\Program Files\JPSoft\%fldr\tcmd.exe" echo C:\Program Files\JPSoft\%fldr\tcmd.exe is version %@verinfo[%fldr\tcmd.exe]) >> "c:\Documents and Settings\Charles\Desktop\JpSoft.txt"

And here are the folders under pf:jpsoft:

dir /a:d /f
C:\Program Files\JPSoft\Keys
C:\Program Files\JPSoft\plugins
C:\Program Files\JPSoft\TCIExplorer
C:\Program Files\JPSoft\TCMD8
C:\Program Files\JPSoft\TCMD9
C:\Program Files\JPSoft\TCMD10
C:\Program Files\JPSoft\TCMD11
C:\Program Files\JPSoft\TCMD12
C:\Program Files\JPSoft\TCMD13
C:\Program Files\JPSoft\website
----- Original Message -----
From: Steve Fabian
To: CSGalloway@nc.rr.com
Sent: Friday, October 21, 2011 06:25 PM
Subject: RE: [Support-t-3311] HKCU keys needed fror installed TCMD versions


From: Charles G
| C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157

This one confused me. All TCMD9 files are build 156, except the TakeCmd.dll for keyfile (non-registry) registration.
--
Steve
 

rconn

Administrator
Staff member
May 14, 2008
12,425
153
Rex,

I have the following main keys under HKCU\Software\JP Software], and the TCMD versions listed below and wondered what keys are no longer needed please? Thank you

[HKEY_CURRENT_USER\Software\JP Software]
[HKEY_CURRENT_USER\Software\JP Software\IDE 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 13.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.02]


C:\Program Files\JPSoft\TCMD10\tcmd.exe is version 10.00.78
C:\Program Files\JPSoft\TCMD11\tcmd.exe is version 11.00.52
C:\Program Files\JPSoft\TCMD12\tcmd.exe is version 12.11.76
C:\Program Files\JPSoft\TCMD13\tcmd.exe is version 13.0.27
C:\Program Files\JPSoft\TCMD8\tcmd.exe is version 8.02.106
C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157

If you're using all of those Take Command versions, then you need all of those keys.
 
Apr 2, 2011
1,541
13
54
North Carolina, USA
If I am using, e.g. 9.02 then why would 9 and 9.0 be needed? I am just using the latest build of versions 8-13.
----- Original Message -----
From: rconn
To: CSGalloway@nc.rr.com
Sent: Monday, October 24, 2011 11:20 AM
Subject: RE: [Support-t-3311] Re: HKCU keys needed fror installed TCMD versions


Quote:
Originally Posted by Charles G
Rex,

I have the following main keys under HKCU\Software\JP Software], and the TCMD versions listed below and wondered what keys are no longer needed please? Thank you

[HKEY_CURRENT_USER\Software\JP Software]
[HKEY_CURRENT_USER\Software\JP Software\IDE 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 13.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.02]


C:\Program Files\JPSoft\TCMD10\tcmd.exe is version 10.00.78
C:\Program Files\JPSoft\TCMD11\tcmd.exe is version 11.00.52
C:\Program Files\JPSoft\TCMD12\tcmd.exe is version 12.11.76
C:\Program Files\JPSoft\TCMD13\tcmd.exe is version 13.0.27
C:\Program Files\JPSoft\TCMD8\tcmd.exe is version 8.02.106
C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157

If you're using all of those Take Command versions, then you need all of those keys.
 

rconn

Administrator
Staff member
May 14, 2008
12,425
153
> If I am using, e.g. 9.02 then why would 9 and 9.0 be needed? I am just
> using the latest build of versions 8-13.

Because they store different values. You don't have everything in the 9.02
key; some info (registration info, Windows Installer ID, etc.) is stored in
the other keys. In the later versions (v12 & v13) everything was combined
into a single key.

If the existence of the 9 & 9.0 keys offend you, you can always remove them.
You just won't be able to run v9 anymore ... :-)
 
Apr 2, 2011
1,541
13
54
North Carolina, USA
@Rex,

Thank you for the reply. Since I am using the latest v12 build - what keys can I safely remove from the 12 product keys?

Here is the info again:

[HKEY_CURRENT_USER\Software\JP Software]
[HKEY_CURRENT_USER\Software\JP Software\IDE 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 10.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 11.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.11]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 13.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.0]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 9.02]


C:\Program Files\JPSoft\TCMD10\tcmd.exe is version 10.00.78
C:\Program Files\JPSoft\TCMD11\tcmd.exe is version 11.00.52
C:\Program Files\JPSoft\TCMD12\tcmd.exe is version 12.11.76
C:\Program Files\JPSoft\TCMD13\tcmd.exe is version 13.0.27
C:\Program Files\JPSoft\TCMD8\tcmd.exe is version 8.02.106
C:\Program Files\JPSoft\TCMD9\tcmd.exe is version 9.02.157


----- Original Message -----
From: rconn
To: CSGalloway@nc.rr.com
Sent: Monday, October 24, 2011 03:10 PM
Subject: RE: [Support-t-3311] Re: HKCU keys needed fror installed TCMD versions


Quote:
> If I am using, e.g. 9.02 then why would 9 and 9.0 be needed? I am just
> using the latest build of versions 8-13.

Because they store different values. You don't have everything in the 9.02
key; some info (registration info, Windows Installer ID, etc.) is stored in
the other keys. In the later versions (v12 & v13) everything was combined
into a single key.

If the existence of the 9 & 9.0 keys offend you, you can always remove them.
You just won't be able to run v9 anymore ... :-)
 

rconn

Administrator
Staff member
May 14, 2008
12,425
153
> Thank you for the reply. Since I am using the latest v12 build - what
keys can

> can I safely remove from the 12 product keys?

If you're only running v12.11, you can delete everything except:

[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.10]
[HKEY_CURRENT_USER\Software\JP Software\Take Command 12.11]
 
Aug 9, 2009
286
1
: Subject: RE: [Support-t-3311] Re: HKCU keys needed fror installed TCMD versions
:
: @Rex,
:
: Thank you for the reply. Since I am using the latest v12 build - what keys can I safely
remove from the
: 12 product keys?
:
: Here is the info again:

Blah blah


Remove the keys to the TCMD versions you DO NO'T USE its YOUR CALL!
 

Similar threads